## plasma-wallpaper-dynamic 3.3.4

=== debian/changelog ===
plasma-wallpaper-dynamic (3.3.4-0ubuntu1) groovy; urgency=medium

  * New upstream release 3.3.4
    - Minor CMakeLists fixes
  * d/copyright: Correct MIT license to Expat
  * Fix binary packages containing incorrect files (LP: #1893467)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 28 Aug 2020 11:40:56 -0700

plasma-wallpaper-dynamic (3.3.3-0ubuntu1) groovy; urgency=medium

  * Initial release.

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Tue, 04 Aug 2020 15:00:22 -0700

## plasma-wallpaper-dynamic 3.3.5

=== debian/changelog ===
plasma-wallpaper-dynamic (3.3.5-0ubuntu0.20.10.1) groovy; urgency=medium

  * New upstream release 3.3.5 (LP: #1902575)
    - Memory usage improvements for mutli-monitor setups

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 02 Nov 2020 11:00:54 -0800

## plasma-wallpaper-dynamic 3.3.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
project(plasma5-wallpapers-dynamic)

set(KF5_MIN_VERSION "5.66.0")
set(QT_MIN_VERSION "5.12.0")
set(LIBHEIF_MIN_VERSION "1.3")

set(PROJECT_VERSION "1.0.0")
set(PROJECT_VERSION_MAJOR 1)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake/Modules)

include(CMakePackageConfigHelpers)
include(FeatureSummary)
include(GenerateExportHeader)
include(WriteBasicConfigVersionFile)
include(ECMGenerateHeaders)
include(ECMQMLModules)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

ecm_find_qmlmodule(QtQuick 2.5)
ecm_find_qmlmodule(QtQuick.Controls 2.3)
ecm_find_qmlmodule(QtQuick.Dialogs 1.3)
ecm_find_qmlmodule(QtQuick.Layouts 1.0)
ecm_find_qmlmodule(QtQuick.Window 2.2)
ecm_find_qmlmodule(QtPositioning 5.12)
ecm_find_qmlmodule(org.kde.kcm 1.1)
ecm_find_qmlmodule(org.kde.kirigami 2.10)

find_package(libheif ${LIBHEIF_MIN_VERSION} REQUIRED)
find_package(libexif REQUIRED)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Config
    I18n
    Package
    Plasma
)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Concurrent
    Core
    DBus
    Gui
    Positioning
    Qml
    Quick
)

add_subdirectory(data)
add_subdirectory(src)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== data/CMakeLists.txt ===
install(DIRECTORY "Dynamic Numbers" DESTINATION ${WALLPAPER_INSTALL_DIR})

=== src/CMakeLists.txt ===
plasma_install_package(package com.github.zzag.dynamic wallpapers wallpaper)

add_subdirectory(declarative)
add_subdirectory(lib)
add_subdirectory(plugins)
add_subdirectory(tools)
add_subdirectory(translations)

=== src/declarative/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_wallpaper_com.github.zzag.dynamic\")

set(FALLBACK_WALLPAPER "Dynamic Numbers")
configure_file(config-dynamicwallpaper.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-dynamicwallpaper.h)

set(dynamicwallpaperplugin_SOURCES
    dynamicwallpapercrawler.cpp
    dynamicwallpaperdescription.cpp
    dynamicwallpaperengine.cpp
    dynamicwallpaperengine_solar.cpp
    dynamicwallpaperengine_timed.cpp
    dynamicwallpaperextensionplugin.cpp
    dynamicwallpaperhandler.cpp
    dynamicwallpaperimagehandle.cpp
    dynamicwallpaperimageprovider.cpp
    dynamicwallpapermodel.cpp
    dynamicwallpaperpreviewcache.cpp
    dynamicwallpaperpreviewjob.cpp
    dynamicwallpaperpreviewprovider.cpp
    dynamicwallpaperprober.cpp
)

add_library(plasma_wallpaper_dynamicplugin ${dynamicwallpaperplugin_SOURCES})

target_link_libraries(plasma_wallpaper_dynamicplugin
    Qt5::Concurrent
    Qt5::Core
    Qt5::Gui
    Qt5::Positioning
    Qt5::Qml
    Qt5::Quick

    KF5::ConfigCore
    KF5::I18n
    KF5::Package

    KDynamicWallpaper::KDynamicWallpaper
)

install(TARGETS plasma_wallpaper_dynamicplugin DESTINATION ${KDE_INSTALL_QMLDIR}/com/github/zzag/plasma/wallpapers/dynamic)
install(FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/com/github/zzag/plasma/wallpapers/dynamic)

=== src/lib/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_wallpaper_com.github.zzag.dynamic\")

set(dynamicwallpaperlib_SOURCES
    kdynamicwallpapermetadata.cpp
    kdynamicwallpaperreader.cpp
    kdynamicwallpaperwriter.cpp
    ksunpath.cpp
    ksunposition.cpp
    ksystemclockmonitor.cpp
    ksystemclockmonitorengine.cpp
)

if (CMAKE_SYSTEM_NAME MATCHES "Linux")
    set(dynamicwallpaperlib_SOURCES
        ksystemclockmonitorengine_linux.cpp
        ${dynamicwallpaperlib_SOURCES}
    )
endif()

ecm_generate_headers(dynamicwallpaperlib_HEADERS
    HEADER_NAMES
        KDynamicWallpaperMetaData
        KDynamicWallpaperReader
        KDynamicWallpaperWriter
        KSunPath
        KSunPosition
        KSystemClockMonitor
    REQUIRED_HEADERS dynamicwallpaperlib_HEADERS
)

qt5_add_resources(dynamicwallpaperlib_SOURCES resources.qrc)

add_library(kdynamicwallpaper ${dynamicwallpaperlib_SOURCES})
add_library(KDynamicWallpaper::KDynamicWallpaper ALIAS kdynamicwallpaper)

generate_export_header(kdynamicwallpaper
    BASE_NAME KDynamicWallpaper
    EXPORT_MACRO_NAME KDYNAMICWALLPAPER_EXPORT
)

set_target_properties(kdynamicwallpaper PROPERTIES
    VERSION ${PROJECT_VERSION}
    SOVERSION ${PROJECT_VERSION_MAJOR}
    EXPORT_NAME KDynamicWallpaper
)

target_include_directories(kdynamicwallpaper PUBLIC
    "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>"
    "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KDynamicWallpaper>"
)

target_link_libraries(kdynamicwallpaper
    PUBLIC
        Qt5::Core
        Qt5::Gui
        Qt5::Positioning

    PRIVATE
        Qt5::Xml
        KF5::I18n
        libheif::libheif
)

set(CMAKECONFIG_INSTALL_DIR ${KDE_INSTALL_LIBDIR}/cmake/KDynamicWallpaper)

write_basic_config_version_file(${CMAKE_CURRENT_BINARY_DIR}/KDynamicWallpaperConfigVersion.cmake
    VERSION "${PROJECT_VERSION}"
    COMPATIBILITY AnyNewerVersion)

configure_package_config_file(KDynamicWallpaperConfig.cmake.in
    "${CMAKE_CURRENT_BINARY_DIR}/KDynamicWallpaperConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR})

install(TARGETS kdynamicwallpaper EXPORT KDynamicWallpaperTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/KDynamicWallpaperConfig.cmake
    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    COMPONENT Devel)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/KDynamicWallpaperConfigVersion.cmake
    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    COMPONENT Devel)

install(EXPORT KDynamicWallpaperTargets
    NAMESPACE KDynamicWallpaper::
    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    FILE KDynamicWallpaperTargets.cmake
    COMPONENT Devel)

install(FILES ${dynamicwallpaperlib_HEADERS} ${CMAKE_CURRENT_BINARY_DIR}/kdynamicwallpaper_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KDynamicWallpaper
    COMPONENT Devel)

=== src/plugins/CMakeLists.txt ===
add_subdirectory(kpackage-integration)

=== src/tools/CMakeLists.txt ===
add_subdirectory(builder)

=== src/translations/CMakeLists.txt ===
find_program(GETTEXT_MSGFMT_EXECUTABLE msgfmt)

if (NOT GETTEXT_MSGFMT_EXECUTABLE)
    message(WARNING "-- msgfmt: not found. Translations will not be installed")
else ()
    set(catalogname plasma_wallpaper_com.github.zzag.dynamic)
    add_custom_target(translations ALL)

    file(GLOB PO_FILES po/*.po)

    foreach (_po ${PO_FILES})
        get_filename_component(_filename ${_po} NAME)
        string(REGEX REPLACE "^${catalogname}_?" "" _langCode ${_filename})
        string(REGEX REPLACE "\\.po$" "" _langCode ${_langCode})

        if (_langCode)
            get_filename_component(_lang ${_po} NAME_WE)
            set(_gmo ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)

            add_custom_command(TARGET translations
                COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --check -o ${_gmo} ${_po}
                DEPENDS ${_po})

            install(FILES ${_gmo}
                DESTINATION ${LOCALE_INSTALL_DIR}/${KF5_LOCALE_PREFIX}${_langCode}/LC_MESSAGES/
                RENAME ${catalogname}.mo)
        endif()
    endforeach()
endif()

=== src/plugins/kpackage-integration/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_wallpaper_com.github.zzag.dynamic\")

set(packagestructure_SOURCES
    dynamicwallpaperpackagestructure.cpp
)

add_library(packagestructure_dynamicwallpaper MODULE ${packagestructure_SOURCES})

target_link_libraries(packagestructure_dynamicwallpaper
    Qt5::Core

    KF5::I18n
    KF5::Package
)

install(TARGETS packagestructure_dynamicwallpaper DESTINATION ${KDE_INSTALL_PLUGINDIR}/kpackage/packagestructure)

=== src/tools/builder/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_wallpaper_com.github.zzag.dynamic\")

add_subdirectory(completions)

set(builder_SOURCES
    dynamicwallpaperdescriptionreader.cpp
    dynamicwallpaperexifmetadata.cpp
    main.cpp
)

set(builder_LIBRARIES
    KF5::I18n
    libexif::libexif
    KDynamicWallpaper::KDynamicWallpaper
)

add_executable(kdynamicwallpaperbuilder ${builder_SOURCES})
target_link_libraries(kdynamicwallpaperbuilder ${builder_LIBRARIES})

install(TARGETS kdynamicwallpaperbuilder ${INSTALL_TARGETS_DEFAULT_ARGS})

=== src/tools/builder/completions/CMakeLists.txt ===
add_subdirectory(bash)
add_subdirectory(fish)
add_subdirectory(zsh)

=== src/tools/builder/completions/bash/CMakeLists.txt ===
install(FILES kdynamicwallpaperbuilder DESTINATION ${KDE_INSTALL_DATADIR}/bash-completion/completions/)

=== debian/changelog ===
plasma-wallpaper-dynamic (3.3.6-0ubuntu1) hirsute; urgency=medium

  * New upstream release 3.3.6 - Fix handling of embedded color profiles

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 19 Dec 2020 11:27:26 -0800

plasma-wallpaper-dynamic (3.3.5-0ubuntu1) hirsute; urgency=medium

  * New upstream release 3.3.5
    - Memory usage improvements for mutli-monitor setups

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 02 Nov 2020 11:00:54 -0800

=== debian/control ===
Source: plasma-wallpaper-dynamic
Section: kde
Priority: optional
Maintainer: Erich Eickmeyer <eeickmeyer@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               cmake,
               extra-cmake-modules,
               libkf5package-dev,
               libkf5plasma-dev,
               libkf5i18n-dev,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtpositioning5-dev,
               gettext,
               qml-module-qtpositioning,
               libexif-dev,
               libheif-dev,
Standards-Version: 4.5.0
Homepage: https://github.com/zzag/plasma5-wallpapers-dynamic
Vcs-Git: https://github.com/zzag/plasma5-wallpapers-dynamic
Vcs-Browser: https://github.com/zzag/plasma5-wallpapers-dynamic

Package: plasma-wallpaper-dynamic
Architecture: any
Section: libs
Depends: libkdynamicwallpaper, qml-module-qtpositioning,
         ${misc:Depends}, ${shlibs:Depends}
Description: Dynamic Wallpaper Engine for Plasma
 This package is a wallpaper plugin for KDE Plasma that continuously updates
 the desktop background based on the current time in your location.
 .
 For instructions on creating dynamic wallpaper, visit
 https://github.com/zzag/plasma5-wallpapers-dynamic

Package: libkdynamicwallpaper1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: libkdynamicwallpaper
Description: Dynamic Wallpaper Engine for Plasma (shared libraries)
 This package is the shared libraries for the plasma5-wallpapers-dynamic
 package.

Package: libkdynamicwallpaper1-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkdynamicwallpaper1 (= ${binary:Version}), ${misc:Depends}
Description: Dynamic Wallpaper Engine for Plasma (development files)
 This package is the development files for the plasma5-wallpapers-dynamic
 shared libraries (libkdynamicwallpaper)

## plasma-wallpaper-dynamic 4.4.0

=== debian/changelog ===
plasma-wallpaper-dynamic (4.4.0-0ubuntu9) mantic; urgency=medium

  * No-change rebuild against Qt 5.15.10.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 20 Jun 2023 15:59:51 +0300

plasma-wallpaper-dynamic (4.4.0-0ubuntu8) mantic; urgency=medium

  * No-change rebuild against Qt 5.15.9.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 17 May 2023 00:10:52 +0300

plasma-wallpaper-dynamic (4.4.0-0ubuntu7) lunar; urgency=medium

  * No-change rebuild against Qt 5.15.8.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 14 Jan 2023 10:33:09 +0300

plasma-wallpaper-dynamic (4.4.0-0ubuntu6) lunar; urgency=medium

  * No-change rebuild against Qt 5.15.7.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 10 Dec 2022 12:51:56 +0300

plasma-wallpaper-dynamic (4.4.0-0ubuntu5) lunar; urgency=medium

  * No-change rebuild against libavif15.

 -- Rik Mills <rikmills@kde.org>  Tue, 29 Nov 2022 21:10:18 +0000

plasma-wallpaper-dynamic (4.4.0-0ubuntu4) kinetic; urgency=medium

  * No-change rebuild against Qt 5.15.6.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 17 Sep 2022 17:04:43 +0300

plasma-wallpaper-dynamic (4.4.0-0ubuntu3) kinetic; urgency=medium

  * Fix d/install

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 27 Jun 2022 08:20:17 -0700

plasma-wallpaper-dynamic (4.4.0-0ubuntu2) kinetic; urgency=medium

  * Fix for development library package name
  * Add section: libs to library

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 27 Jun 2022 08:05:25 -0700

plasma-wallpaper-dynamic (4.4.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release 4.4.0
  * Bump standards-version

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 25 Jun 2022 14:12:11 -0700

## plasma-wallpaper-dynamic 4.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,15 @@
+# SPDX-FileCopyrightText: 2020 Vlad Zahorodnii <vlad.zahorodnii@kde.org>
+#
+# SPDX-License-Identifier: BSD-3-Clause
+
 cmake_minimum_required(VERSION 3.0)
 project(plasma5-wallpapers-dynamic)
 
 set(KF5_MIN_VERSION "5.66.0")
 set(QT_MIN_VERSION "5.12.0")
-set(LIBHEIF_MIN_VERSION "1.3")
 
-set(PROJECT_VERSION "1.0.0")
-set(PROJECT_VERSION_MAJOR 1)
+set(PROJECT_VERSION "4.3.1")
+set(PROJECT_VERSION_MAJOR 4)
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake/Modules)
@@ -21,7 +24,7 @@
 include(KDECMakeSettings)
 include(KDECompilerSettings NO_POLICY_SCOPE)
 
-set(CMAKE_CXX_STANDARD 14)
+set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_CXX_EXTENSIONS OFF)
 
@@ -34,7 +37,7 @@
 ecm_find_qmlmodule(org.kde.kcm 1.1)
 ecm_find_qmlmodule(org.kde.kirigami 2.10)
 
-find_package(libheif ${LIBHEIF_MIN_VERSION} REQUIRED)
+find_package(libavif REQUIRED)
 find_package(libexif REQUIRED)
 
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS

=== data/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Vlad Zahorodnii <vlad.zahorodnii@kde.org>
#
# SPDX-License-Identifier: BSD-3-Clause

install(DIRECTORY "Dynamic" DESTINATION ${WALLPAPER_INSTALL_DIR})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# SPDX-FileCopyrightText: 2020 Vlad Zahorodnii <vlad.zahorodnii@kde.org>
+#
+# SPDX-License-Identifier: BSD-3-Clause
+
 plasma_install_package(package com.github.zzag.dynamic wallpapers wallpaper)
 
 add_subdirectory(declarative)

=== src/declarative/CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,17 @@
+# SPDX-FileCopyrightText: 2020 Vlad Zahorodnii <vlad.zahorodnii@kde.org>
+#
+# SPDX-License-Identifier: BSD-3-Clause
+
 add_definitions(-DTRANSLATION_DOMAIN=\"plasma_wallpaper_com.github.zzag.dynamic\")
 
-set(FALLBACK_WALLPAPER "Dynamic Numbers")
+set(FALLBACK_WALLPAPER "Dynamic")
 configure_file(config-dynamicwallpaper.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-dynamicwallpaper.h)
 
 set(dynamicwallpaperplugin_SOURCES
     dynamicwallpapercrawler.cpp
-    dynamicwallpaperdescription.cpp
     dynamicwallpaperengine.cpp
+    dynamicwallpaperengine_daynight.cpp
     dynamicwallpaperengine_solar.cpp
-    dynamicwallpaperengine_timed.cpp
     dynamicwallpaperextensionplugin.cpp
     dynamicwallpaperhandler.cpp
     dynamicwallpaperimagehandle.cpp
@@ -29,6 +32,7 @@
     Qt5::Positioning
     Qt5::Qml
     Qt5::Quick
+    Qt5::QuickPrivate
 
     KF5::ConfigCore
     KF5::I18n

=== src/lib/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,15 @@
+# SPDX-FileCopyrightText: 2020 Vlad Zahorodnii <vlad.zahorodnii@kde.org>
+#
+# SPDX-License-Identifier: BSD-3-Clause
+
 add_definitions(-DTRANSLATION_DOMAIN=\"plasma_wallpaper_com.github.zzag.dynamic\")
 
 set(dynamicwallpaperlib_SOURCES
+    kdaynightdynamicwallpapermetadata.cpp
     kdynamicwallpapermetadata.cpp
     kdynamicwallpaperreader.cpp
     kdynamicwallpaperwriter.cpp
+    ksolardynamicwallpapermetadata.cpp
     ksunpath.cpp
     ksunposition.cpp
     ksystemclockmonitor.cpp
@@ -19,9 +25,11 @@
 
 ecm_generate_headers(dynamicwallpaperlib_HEADERS
     HEADER_NAMES
+        KDayNightDynamicWallpaperMetaData
         KDynamicWallpaperMetaData
         KDynamicWallpaperReader
         KDynamicWallpaperWriter
+        KSolarDynamicWallpaperMetaData
         KSunPath
         KSunPosition
         KSystemClockMonitor
@@ -58,7 +66,7 @@
     PRIVATE
         Qt5::Xml
         KF5::I18n
-        libheif::libheif
+        avif
 )
 
 set(CMAKECONFIG_INSTALL_DIR ${KDE_INSTALL_LIBDIR}/cmake/KDynamicWallpaper)

=== src/plugins/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Vlad Zahorodnii <vlad.zahorodnii@kde.org>
#
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(kpackage-integration)

=== src/tools/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Vlad Zahorodnii <vlad.zahorodnii@kde.org>
#
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(builder)

=== src/translations/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# SPDX-FileCopyrightText: 2020 Vlad Zahorodnii <vlad.zahorodnii@kde.org>
+#
+# SPDX-License-Identifier: BSD-3-Clause
+
 find_program(GETTEXT_MSGFMT_EXECUTABLE msgfmt)
 
 if (NOT GETTEXT_MSGFMT_EXECUTABLE)

=== src/plugins/kpackage-integration/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# SPDX-FileCopyrightText: 2020 Vlad Zahorodnii <vlad.zahorodnii@kde.org>
+#
+# SPDX-License-Identifier: BSD-3-Clause
+
 add_definitions(-DTRANSLATION_DOMAIN=\"plasma_wallpaper_com.github.zzag.dynamic\")
 
 set(packagestructure_SOURCES

=== src/tools/builder/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,14 @@
+# SPDX-FileCopyrightText: 2020 Vlad Zahorodnii <vlad.zahorodnii@kde.org>
+#
+# SPDX-License-Identifier: BSD-3-Clause
+
 add_definitions(-DTRANSLATION_DOMAIN=\"plasma_wallpaper_com.github.zzag.dynamic\")
 
 add_subdirectory(completions)
 
 set(builder_SOURCES
-    dynamicwallpaperdescriptionreader.cpp
     dynamicwallpaperexifmetadata.cpp
+    dynamicwallpapermanifest.cpp
     main.cpp
 )

=== src/tools/builder/completions/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Vlad Zahorodnii <vlad.zahorodnii@kde.org>
#
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(bash)
add_subdirectory(fish)
add_subdirectory(zsh)

=== src/tools/builder/completions/bash/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Vlad Zahorodnii <vlad.zahorodnii@kde.org>
#
# SPDX-License-Identifier: BSD-3-Clause

install(FILES kdynamicwallpaperbuilder DESTINATION ${KDE_INSTALL_DATADIR}/bash-completion/completions/)

=== debian/changelog ===
plasma-wallpaper-dynamic (4.4.1-0ubuntu4) noble; urgency=medium

  * No-change rebuild against Qt 5.15.13.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 04 Apr 2024 00:26:11 +0300

plasma-wallpaper-dynamic (4.4.1-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:14:38 +0000

plasma-wallpaper-dynamic (4.4.1-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:28:49 +0000

plasma-wallpaper-dynamic (4.4.1-0ubuntu1) noble; urgency=medium

  * New upstream version 4.4.1

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 23 Feb 2024 13:37:48 -0800

plasma-wallpaper-dynamic (4.4.0-0ubuntu11) noble; urgency=medium

  * No-change rebuild against Qt 5.15.12.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 29 Dec 2023 00:08:13 +0300

plasma-wallpaper-dynamic (4.4.0-0ubuntu10) noble; urgency=medium

  * Rebuild against new libavif16.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2023 15:11:53 +0200

=== debian/control ===
Source: plasma-wallpaper-dynamic
Section: kde
Priority: optional
Maintainer: Erich Eickmeyer <eeickmeyer@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               cmake,
               extra-cmake-modules,
               gettext,
               libavif-dev,
               libexif-dev,
               libkf5i18n-dev,
               libkf5package-dev,
               libkf5plasma-dev,
               qml-module-qtpositioning,
               qtbase5-dev,
               qtbase5-private-dev,
               qtdeclarative5-dev,
               qtdeclarative5-private-dev,
               qtpositioning5-dev
Standards-Version: 4.6.1
Homepage: https://github.com/zzag/plasma5-wallpapers-dynamic
Vcs-Git: https://github.com/zzag/plasma5-wallpapers-dynamic
Vcs-Browser: https://github.com/zzag/plasma5-wallpapers-dynamic

Package: plasma-wallpaper-dynamic
Architecture: any
Section: kde
Depends: libkdynamicwallpaper, qml-module-qtpositioning,
         ${misc:Depends}, ${shlibs:Depends}
Description: Dynamic Wallpaper Engine for Plasma
 This package is a wallpaper plugin for KDE Plasma that continuously updates
 the desktop background based on the current time in your location.
 .
 For instructions on creating dynamic wallpaper, visit
 https://github.com/zzag/plasma5-wallpapers-dynamic

Package: libkdynamicwallpaper4
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: libkdynamicwallpaper
Description: Dynamic Wallpaper Engine for Plasma (shared libraries)
 This package is the shared libraries for the plasma5-wallpapers-dynamic
 package.

Package: libkdynamicwallpaper-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkdynamicwallpaper4 (= ${binary:Version}), ${misc:Depends}
Provides: libkdynamicwallpaper1-dev
Conflicts: libkdynamicwallpaper1-dev
Replaces: libkdynamicwallpaper1-dev
Description: Dynamic Wallpaper Engine for Plasma (development files)
 This package is the development files for the plasma5-wallpapers-dynamic
 shared libraries (libkdynamicwallpaper)
